org.apache.cassandra.concurrent

## Class JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor

- java.lang.Object
- - org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService
  - - org.apache.cassandra.concurrent.SEPExecutor
    - - org.apache.cassandra.concurrent.JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor

All Implemented Interfaces:
  java.util.concurrent.Executor, java.util.concurrent.ExecutorService, IExecutorMBean, JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutorMBean, JMXEnabledThreadPoolExecutorMBean, TracingAwareExecutorService

Enclosing class:
  JMXEnabledSharedExecutorPool

    public class JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor
    extends SEPExecutor
    implements JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutorMBean

### Field Summary

### Fields inherited from class org.apache.cassandra.concurrent.SEPExecutor

`tasks`

### Constructor Summary

Constructors
Constructor and Description
`JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor(int poolSize, int maxQueuedLength, java.lang.String name, java.lang.String jmxPath)`

### Method Summary

Methods
`int` `getCoreThreads()` Returns core pool size of thread pool.
`void` `setCoreThreads(int number)` Allows user to resize core pool size of the thread pool.
`void` `setMaximumThreads(int number)` Allows user to resize maximum size of the thread pool.
`void` `shutdown()`

### Methods inherited from class org.apache.cassandra.concurrent.SEPExecutor

`addTask, awaitTermination, getActiveCount, getCompletedTasks, getCurrentlyBlockedTasks, getMaximumThreads, getPendingTasks, getTotalBlockedTasks, isShutdown, isTerminated, maybeExecuteImmediately, onCompletion, shutdownNow`

### Methods inherited from class org.apache.cassandra.concurrent.AbstractTracingAwareExecutorService

`execute, execute, invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, newTaskFor, submit, submit, submit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.concurrent.JMXEnabledThreadPoolExecutorMBean

`getCurrentlyBlockedTasks, getMaximumThreads, getTotalBlockedTasks`

### Methods inherited from interface org.apache.cassandra.concurrent.IExecutorMBean

`getActiveCount, getCompletedTasks, getPendingTasks`

### Constructor Detail

#### JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor

    public JMXEnabledSharedExecutorPool.JMXEnabledSEPExecutor(int poolSize,
                                                      int maxQueuedLength,
                                                      java.lang.String name,
                                                      java.lang.String jmxPath)

### Method Detail

#### shutdown

    public void shutdown()

Specified by:
  `shutdown` in interface `java.util.concurrent.ExecutorService`
Overrides:
  `shutdown` in class `SEPExecutor`

#### getCoreThreads

    public int getCoreThreads()

Description copied from interface: `JMXEnabledThreadPoolExecutorMBean`
Returns core pool size of thread pool.

Specified by:
  `getCoreThreads` in interface `JMXEnabledThreadPoolExecutorMBean`

#### setCoreThreads

    public void setCoreThreads(int number)

Description copied from interface: `JMXEnabledThreadPoolExecutorMBean`
Allows user to resize core pool size of the thread pool.

Specified by:
  `setCoreThreads` in interface `JMXEnabledThreadPoolExecutorMBean`

#### setMaximumThreads

    public void setMaximumThreads(int number)

Description copied from interface: `JMXEnabledThreadPoolExecutorMBean`
Allows user to resize maximum size of the thread pool.

Specified by:
  `setMaximumThreads` in interface `JMXEnabledThreadPoolExecutorMBean`